# SPDX-License-Identifier: CC0-1.0

{ pkgs, ... }:

{
  name = "vmm_x86";
  constraints = specs:
    with builtins;
    all (f: any f specs) [ (spec: spec == "nova") (spec: spec == "x86") ];
  machine = {
    config = ./vmm_x86.dhall;
    inputs = map pkgs.genodeSources.make [ "test/vmm_x86" ];
  };
}
